package com.bocloud.nms.model.agile;

import java.util.Date;

public class AgileSubnetModel {
    private String name;
    private String ipPools;
    private String cidr;
    private Boolean dhcpEnabled;
    private String gateway;
    private String dnsNames;
    private String hostRoutes;
    private String subnetUuid;
    private String ipVersion;
    private String networkUuid;
    private String routerUuid;// 路由ID
    private String portgroup;
    private String mac;
    private String address;
    private String remark;
    //-------2020/3/26 新插入代码 start
    private String tenantUuid;//openstack底层租户id
    private Boolean dhcpEnable;
    private String dhcpGroupUuid;
    private String switchUuid;// 路由ID
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    public String getIpPools() {
        return ipPools;
    }

    public void setIpPools(String ipPools) {
        this.ipPools = ipPools;
    }

    /**
     * @return the cidr
     */
    public String getCidr() {
        return cidr;
    }

    /**
     * @param cidr the cidr to set
     */
    public void setCidr(String cidr) {
        this.cidr = cidr;
    }

    /**
     * @return the dhcpEnabled
     */
    public Boolean getDhcpEnabled() {
        return dhcpEnabled;
    }

    /**
     * @param dhcpEnabled the dhcpEnabled to set
     */
    public void setDhcpEnabled(Boolean dhcpEnabled) {
        this.dhcpEnabled = dhcpEnabled;
    }

    /**
     * @return the gateway
     */
    public String getGateway() {
        return gateway;
    }

    /**
     * @param gateway the gateway to set
     */
    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    /**
     * @return the dnsNames
     */
    public String getDnsNames() {
        return dnsNames;
    }

    /**
     * @param dnsNames the dnsNames to set
     */
    public void setDnsNames(String dnsNames) {
        this.dnsNames = dnsNames;
    }

    /**
     * @return the hostRoutes
     */
    public String getHostRoutes() {
        return hostRoutes;
    }

    /**
     * @param hostRoutes the hostRoutes to set
     */
    public void setHostRoutes(String hostRoutes) {
        this.hostRoutes = hostRoutes;
    }

    /**
     * @return the subnetUuid
     */
    public String getSubnetUuid() {
        return subnetUuid;
    }

    /**
     * @param subnetUuid the subnetUuid to set
     */
    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    /**
     * @return the ipVersion
     */
    public String getIpVersion() {
        return ipVersion;
    }

    /**
     * @param ipVersion the ipVersion to set
     */
    public void setIpVersion(String ipVersion) {
        this.ipVersion = ipVersion;
    }

    /**
     * @return the networkUuid
     */
    public String getNetworkUuid() {
        return networkUuid;
    }

    /**
     * @param networkUuid the networkUuid to set
     */
    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    /**
     * @return the routerUuid
     */
    public String getRouterUuid() {
        return routerUuid;
    }

    /**
     * @param routerUuid the routerUuid to set
     */
    public void setRouterUuid(String routerUuid) {
        this.routerUuid = routerUuid;
    }

    /**
     * @return the portgroup
     */
    public String getPortgroup() {
        return portgroup;
    }

    /**
     * @param portgroup the portgroup to set
     */
    public void setPortgroup(String portgroup) {
        this.portgroup = portgroup;
    }

    /**
     * @return the mac
     */
    public String getMac() {
        return mac;
    }

    /**
     * @param mac the mac to set
     */
    public void setMac(String mac) {
        this.mac = mac;
    }

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getDhcpEnable() {
        return dhcpEnable;
    }

    public void setDhcpEnable(Boolean dhcpEnable) {
        this.dhcpEnable = dhcpEnable;
    }

    public String getDhcpGroupUuid() {
        return dhcpGroupUuid;
    }

    public void setDhcpGroupUuid(String dhcpGroupUuid) {
        this.dhcpGroupUuid = dhcpGroupUuid;
    }

    public String getSwitchUuid() {
        return switchUuid;
    }

    public void setSwitchUuid(String switchUuid) {
        this.switchUuid = switchUuid;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
